Modulobox compatibility with WP 5.4.x??

Modulobox by Themeone : Is it compatible with WP 5.4.x?? I can not get a connection to the developer without first buying the plugin - which I can’t tell if it will work. ANYONE have experience with this plugin in WP 5.4.2 and by extension, next few WP 5.4.x updates?

Hi

You can ask your pre-purchase query directly to the plugin author by posting comments going through plugin Comments page. plugin author will answer your query.

Thanks